# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::IntraDCBandCodec Class Reference

A class specially for coding the DC subband of Intra frames. More...

`#include <band_codec.h>`

Inheritance diagram for dirac::IntraDCBandCodec:

[legend]
Collaboration diagram for dirac::IntraDCBandCodec:

[legend]

List of all members.

## Public Member Functions

- IntraDCBandCodec (SubbandByteIO *subband_byteio, size_t number_of_contexts, const SubbandList &band_list)
    Constructor.

## Private Member Functions

- void DoWorkCode (PicArray &in_data)
- void DoWorkDecode (PicArray &out_data)
- void CodeCoeffBlock (const CodeBlock &code_block, PicArray &in_data)
- void DecodeCoeffBlock (const CodeBlock &code_block, PicArray &out_data)
- IntraDCBandCodec (const IntraDCBandCodec &cpy)
    Private, bodyless copy constructor: class should not be copied.
- IntraDCBandCodec & operator= (const IntraDCBandCodec &rhs)
    Private, bodyless copy operator=: class should not be assigned.
- ValueType GetPrediction (const PicArray &data, const int xpos, const int ypos) const
    Prediction of a DC value from its previously coded neighbours.

## Private Attributes

- PicArray m_dc_pred_res

## Detailed Description

A class specially for coding the DC subband of Intra frames, using intra-band prediction of coefficients.

## Constructor & Destructor Documentation

dirac::IntraDCBandCodec::IntraDCBandCodec | ( | SubbandByteIO * | subband_byteio,
|  | size_t | number_of_contexts,
|  | const SubbandList & | band_list |
| ) |  |  | `[inline]`

Creates a IntraDCBandCodec object to encode subband data, based on parameters

Parameters:

  | subband_byteio | input/output for the encoded bits
  | number_of_contexts | the number of contexts used in the encoding process
  | band_list | the set of all the subbands

dirac::IntraDCBandCodec::IntraDCBandCodec | ( | const IntraDCBandCodec & | cpy | ) | `[private]`

## Member Function Documentation

void dirac::IntraDCBandCodec::DoWorkCode | ( | PicArray & | in_data | ) | `[private, virtual]`

Reimplemented from dirac::BandCodec.

void dirac::IntraDCBandCodec::DoWorkDecode | ( | PicArray & | out_data | ) | `[private, virtual]`

Reimplemented from dirac::BandCodec.

void dirac::IntraDCBandCodec::CodeCoeffBlock | ( | const CodeBlock & | code_block,
|  | PicArray & | in_data |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::BandCodec.

void dirac::IntraDCBandCodec::DecodeCoeffBlock | ( | const CodeBlock & | code_block,
|  | PicArray & | out_data |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::BandCodec.

IntraDCBandCodec& dirac::IntraDCBandCodec::operator= | ( | const IntraDCBandCodec & | rhs | ) | `[private]`

ValueType dirac::IntraDCBandCodec::GetPrediction | ( | const PicArray & | data,
|  | const int | xpos,
|  | const int | ypos |
| ) |  |  | const`[private]`

## Member Data Documentation

PicArray dirac::IntraDCBandCodec::m_dc_pred_res `[private]`

The documentation for this class was generated from the following file:

- band_codec.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.